Subject: Re: [PATCH v3 0/6] atomics: powerpc: Implement relaxed/acquire/release variants of some atomics

From: "Paul E. McKenney" <[email-masked]>
Date: Tue, 13 Oct 2015 08:46:29 -0700

On Tue, Oct 13, 2015 at 02:27:13PM +0200, Peter Zijlstra wrote:
> On Mon, Oct 12, 2015 at 10:14:00PM +0800, Boqun Feng wrote:
> 
> > The patchset consists of 6 parts:
> > 
> > 1.	Make xchg, cmpxchg and their atomic_ versions a full barrier
> > 
> > 2.	Add trivial tests for the new variants in lib/atomic64_test.c
> > 
> > 3.	Allow architectures to define their own __atomic_op_*() helpers
> > 	to build other variants based on relaxed.
> > 
> > 4.	Implement atomic{,64}_{add,sub,inc,dec}_return_* variants
> > 
> > 5.	Implement xchg_* and atomic{,64}_xchg_* variants
> > 
> > 6.	Implement cmpxchg_* atomic{,64}_cmpxchg_* variants
> > 
> > 
> > This patchset is based on current locking/core branch of the tip tree
> > and all patches are built and boot tested for little endian pseries, and
> > also tested by 0day.
> 
> I don't see any immediate problems with this series at this point. Will,
> Paul?

Every time I have gotten ready to take a close look, someone has pointed
out a problem, and I have deferred until the next version.  Looks like
I should take a close look at Boqun's next version regardless.  ;-)

							Thanx, Paul